commit dc314857aa6d6b55f7f64ff1925e2e83523c62fe
Author: David King <amigadave@amigadave.com>
Date:   Mon Dec 5 19:30:47 2016 +0000

    Update NEWS for 2.4.3 release

M	NEWS
M	SOURCES
M	configure.ac
M	src/about.c

commit effffadf1472a55ef6470f2b1763eefeef7c3b71
Author: David King <amigadave@amigadave.com>
Date:	Mon Dec 5 19:21:36 2016 +0000

    Update Windows installer for latest Fedora MinGW

    Drop Pango modules, add additional libraries.

M	SOURCES
M	easytag-win32-installer.nsi.in

commit 466181aa708d9cfee3682ba2d5a35f455e32b0bb
Author: David King <amigadave@amigadave.com>
Date:	Sat Dec 3 09:51:15 2016 +0000

    Support MP4 files with the AAC file extension

    https://bugzilla.gnome.org/show_bug.cgi?id=775559

M	src/file_description.c
M	tests/test-file_description.c

commit 2e34e40b9041ac9e7f2d2c0555a342a2097e3634
Author: David King <amigadave@amigadave.com>
Date:	Wed Nov 16 20:17:17 2016 +0000

    Fix user directory constant in Windows installer

    Use the syntax for a constant, not a variable.

M	easytag-win32-installer.nsi.in

commit 9866e92a905d085758532735cfb1f8928a9c3b39
Author: David King <amigadave@amigadave.com>
Date:	Wed Nov 16 20:16:22 2016 +0000

    Fix help action on Windows

M	src/application.c

commit 397ce70660c38c2e679faa4a4ffdf9feb9e796d6
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 14 23:33:38 2016 +0000

    Fix initial state of ID3v2 character set radio

    Bind the id3v2-enable-unicode setting to the secondary radio button in
    the group, to ensure that the state is restored correctly when the
    preferences dialogue is first displayed.

M	src/preferences_dialog.c

commit 756412dcfee019a46b3f13e34cef362295324397
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 11 18:36:45 2016 +0000

    Use ID3V1_TAG_SIZE define consistently

M	src/crc32.c
M	src/tags/id3_tag.h
M	src/tags/id3v24_tag.c
M	src/tags/libapetag/apetaglib.c
M	src/tags/libapetag/is_tag.c

commit 8a96195566b8a03de9c2b3fa82a27ceeeba6e6a6
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 10 16:28:35 2016 +0000

    Add a comment to clarify ID3 APIC descriptions

M	src/tags/id3v24_tag.c

commit 5d4b94caf2639cf78d38a915b3bc2ea76426e24e
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 10 16:27:20 2016 +0000

    Improve check for numeric genres in ID3 tags

    Check that the string between two brackets in an ID3v1-compatible
    genre field is numeric.

M	src/tags/id3v24_tag.c

commit e5c640ca3f259f1b74e716723345521987a7bd68
Author: David King <amigadave@amigadave.com>
Date:	Wed Nov 9 17:29:34 2016 +0000

    Do not maintain an open handle on Ogg files

    Only keep a file open for reading long enough to read the necessary
    items from the file. Remove the file input stream from EtOggState, as
    it is no longer preserved across function calls.

M	src/tags/vcedit.c

commit 2576fbaf7edbfdb60d25692c7c3407f36751fe68
Author: David King <amigadave@amigadave.com>
Date:	Wed Nov 9 16:22:37 2016 +0000

    Fix Ogg tag writing on Windows

    Under Windows, if a file is opened for reading, it cannot be opened a
    second time for writing. The Vorbis comment code keeps the file open
    for reading throughout the process of writing new tags, mostly because
    the audio stream must be read into memory before being written out
    after the new tags. Avoid the problem by closing the input stream only
    during the writing process, and at all other times maintaining a
    consistent state, with the input stream open.

    https://mail.gnome.org/archives/easytag-list/2016-November/msg00000.html

M	src/tags/vcedit.c

commit 8dd7eb0dcc911b7c150c8939ff036cb9ff3fddde
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 8 08:29:21 2016 +0000

    Fix label for remove spaces during rename option

    The label was accidentally set as "No conversion", when it should have
    been "Remove spaces".

    https://bugzilla.gnome.org/show_bug.cgi?id=773476

M	data/preferences_dialog.ui

commit acc9db6ed544a2bb1b66d955adadfccbca3ae092
Author: David King <amigadave@amigadave.com>
Date:	Tue Oct 25 22:26:25 2016 +0100

    Fix saving of ID3v1 genre when also using ID3v2.4

    When writing ID3v2.4 tags using libid3tag and the
    id3v2-text-only-genre
    setting is disabled, ensure that only the ID3v2 genre field is
    converted to the bracketed form, so that valid genres are assigned to
    the ID3v1 genre field.

    https://bugzilla.gnome.org/show_bug.cgi?id=773443

M	src/tags/id3v24_tag.c

commit 03cce6dbc403e45d6a27da68dbc3f1591eb4a4ab
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 5 21:09:43 2016 +0000

    Add an ID3 genre number test

    Test that the expected genre IDs convert to appropriate strings (not
    the "Unknown" placeholder), that the index of the final expected genre
    is correct and finally that all unexpected genres are reported as
    "Unknown".

M	Makefile.am
A	tests/test-genres.c

commit 9bd38070aed2133380f124ab3469772e8ea7c1f2
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	Fri Oct 7 07:06:54 2016 +0000

    Update Chinese (Taiwan) translation

M	po/zh_TW.po

commit 78213d225ba1c7632129dfe3027d274cacb5a374
Author: gogo <trebelnik2@gmail.com>
Date:	Sun Oct 2 21:07:11 2016 +0000

    Updated Croatian translation

M	po/hr.po

commit c73212ca65381c1ab86c5b825ff8bd9af92b2831
Author: gogo <trebelnik2@gmail.com>
Date:	Sat Oct 1 10:20:16 2016 +0000

    Updated Croatian translation

M	po/hr.po

commit aa5157c6eeb423c33c9b29321b28b375e5b247bf
Author: gogo <trebelnik2@gmail.com>
Date:	Fri Sep 30 21:55:47 2016 +0000

    Updated Croatian translation

M	po/hr.po

commit 914b8a54575c2e15d86be1c380a708314ac0e83f
Author: gogo <trebelnik2@gmail.com>
Date:	Fri Sep 30 19:14:40 2016 +0000

    Updated Croatian translation
    (cherry picked from commit 3c078f7ea98e040296b18a5b8c6daac45e675826)

M	po/hr.po

commit 5cc5f9bc1fa1a2b4cf887bba36c347110ef81ced
Author: gogo <trebelnik2@gmail.com>
Date:	Fri Sep 30 14:23:56 2016 +0000

    Added Croatian translation
    (cherry picked from commit e49cfc61cf1341b9918221deccfdc4856316febf)

M	po/LINGUAS
A	po/hr.po

commit f63b92f0fe4260cacb49cbba914163fe11800d79
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Sep 25 22:09:46 2016 +0000

    Updated Swedish translation

M	help/sv/sv.po

commit c4b2ae53dce7847b7051bf4def0a1eca03ce4ec0
Author: Jordi Mas <jmas@softcatala.org>
Date:	Mon Sep 19 22:25:10 2016 +0200

    Update Catalan translation

M	po/ca.po

commit 244e6229ad90679af351faac43833df3ad98c44b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Sep 13 20:14:33 2016 +0200

    Updated Spanish translation

M	po/es.po

commit 03d2a4fc7993f8d55cd2301be69587dbdd889edc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Sep 7 04:49:56 2016 +0200

    Updated Polish translation

M	po/pl.po

commit a3a75ad8f815cd5c68326421de6016cfd705a80d
Author: Jordi Mas <jmas@softcatala.org>
Date:	Tue Sep 6 08:09:08 2016 +0200

    Upload Catalan translation

M	po/ca.po

commit a2ac2a7216412417b31b6e297fae3fdd880083a2
Author: Charles Monzat <superboa@hotmail.fr>
Date:	Thu Aug 25 18:02:24 2016 +0000

    Updated French translation

M	help/fr/fr.po

commit 9d08aa809821ebd27d6a4dcc75cba547d3c4b5fb
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Fri Aug 19 19:51:31 2016 +0000

    Updated Hungarian translation

M	help/hu/hu.po

commit 3102e5b5a834cfdc6edc72f5a6d23c0c91f98d0d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Aug 19 18:06:26 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 13134323c7d9cade4c71f19564d2eb255486293f
Author: Jobava <Jobaval10n@gmail.com>
Date:	Sun Aug 14 17:15:22 2016 +0000

    Updated Romanian translation

M	po/ro.po

commit cddf65049d75deb13cbbf89fc617d1908284f0ca
Author: David King <amigadave@amigadave.com>
Date:	Wed Aug 3 14:42:35 2016 +0200

    Use AM_DISTCHECK_CONFIGURE_FLAGS

    DISTCHECK_CONFIGURE_FLAGS is for users and packagers to override
    distcheck options, while AM_DISTCHECK_CONFIGURE_FLAGS is for the
    maintainer of the software.

    https://www.gnu.org/software/automake/manual/automake.html#DISTCHECK_005fCONFIGURE_005fFLAGS

M	Makefile.am
M	configure.ac

commit 529a1055a25549b52acadc86101eb9c30c5fd8aa
Author: David King <amigadave@amigadave.com>
Date:	Sat Jul 16 22:32:23 2016 +0100

    Fix return type of Cddb_Get_Album_Tracks_List_CB()

    The changed signal of GtkTreeSelection has a return type of void.

M	src/cddb_dialog.c

commit 833798088681db64cc0fce642534ee38090646a7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Jul 15 19:09:10 2016 +0200

    Add Language headers to po files

    Future versions of gettext will fail if this header is missing.

M	po/es.po
M	po/nb.po
M	po/ru.po
M	po/sl.po
M	po/sr@latin.po
M	po/zh_CN.po
M	po/zh_TW.po

commit b7eafda2bb62ea2da51286477c92bd1f748b22ec
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 14 08:42:28 2016 +0100

    Add a TODO item about custom themed icons

M	TODO

commit bb66d4788e4b044cf10035a8c80ba2d580f7a51e
Author: Eckhard M. Jäger <bart@neeneenee.de>
Date:	Thu Jul 14 08:37:59 2016 +0100

    Add artist and artist/album icons in Adwaita style

M	THANKS
A	data/icons/24x24/artist-album.png
A	data/icons/24x24/artist.png
A	data/icons/256x256/artist-album.png
A	data/icons/256x256/artist.png
A	data/icons/48x48/artist-album.png
A	data/icons/48x48/artist.png
A	data/icons/license.md
A	data/icons/scalable/artist-album.svg
A	data/icons/scalable/artist.png
M	data/images/artist-album.png
M	data/images/artist.png

commit 2d327d1b4b8ec9e5c6f65965949925fa8e3c8154
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 14 08:27:36 2016 +0100

    Use correct icon for artist/album toolber button

M	data/toolbar.ui

commit 868e1ea6cf8e6d5b544e7a144aca99b989840937
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	Thu Jul 14 02:43:09 2016 +0800

    Allow running autogen.sh in non-srcdir

    https://bugzilla.gnome.org/show_bug.cgi?id=768784

M	autogen.sh

commit 3a4a357ff27f059ea9836bf28db6961c7e25cf11
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 6 16:48:16 2016 +0100

    Ensure that a newly-selected path is visible

    When a path is selected programatically, such as when loading the
    initial path
    on startup, make sure that the path is visible by first scrolling
    the view to
    the path and then selecting it.

    https://bugzilla.gnome.org/show_bug.cgi?id=768470

M	src/browser.c

commit 954d43d50ef4477c3648153580ea72daf540e612
Author: David King <amigadave@amigadave.com>
Date:	Thu Mar 10 21:00:14 2016 +0000

    Replace a further use of strcasecmp()

    Ignore the locale when comparing CDDB genres.

M	src/cddb_dialog.c

commit 1836dea1617f55fc0b12c6b3f09e96bd91f8287e
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 27 20:24:48 2016 +0100

    Refactor Cddb_Track_List_Row_Selected()

    Reduce scope of some variables and improve spacing.

M	src/cddb_dialog.c

commit cafc9ffc8832ca1826ed986702851eb23050b73c
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 27 17:53:36 2016 +0100

    Automatically match unselected CDDB results

    In the case that a CDDB result for an individual track does not
    have an
    associated file, match up the file against the current browser
    selection.

    https://bugzilla.gnome.org/show_bug.cgi?id=766499

M	src/cddb_dialog.c

commit 7d545a37dccc1ee33240e233d0849144f112073d
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 27 17:31:45 2016 +0100

    Reduce code duplication when applying CDDB results

    The code to update the contents of the ET_File in the DLM and non-DLM
    cases was identical, so factor it out to a new
    set_et_file_from_cddb_album() function. As a side effect, avoid
    a crash
    when applying results from CDDB searches.

    https://bugzilla.gnome.org/show_bug.cgi?id=766499

M	src/cddb_dialog.c

commit 953914f2c31f38107019d7beb3d05342b0df706d
Author: David King <amigadave@amigadave.com>
Date:	Tue Jun 7 08:56:01 2016 +0100

    Refactor and rename ET_File_Name_Generate()

    Rename ET_File_Name_Generate() to et_file_generate_name(). Use
    g_return_val_if_fail() for invariant checks.

M	src/cddb_dialog.c
M	src/file.c
M	src/file.h
M	src/load_files_dialog.c
M	src/scan_dialog.c

commit f144e6a0cdfae35a4e3f5034b229174fa16ed1a5
Author: David King <amigadave@amigadave.com>
Date:	Tue Jun 7 05:51:27 2016 +0100

    Avoid crash when saving audioless ID3v2.4 tags

    In the case where an ID3v2.4 tag was written that differed in size to
    the previous tag, audio was assumed to exist after the tag. This
    assumption failed if the file consisted solely of the ID3 tag and
    nothing else. Avoid the crash by skipping the audio reading and
    writing
    if there is none to copy.

    https://mail.gnome.org/archives/easytag-list/2016-June/msg00002.html

M	src/tags/id3v24_tag.c

commit b99d6c73f170524aec7f175c6f278b72639ff3bd
Author: David King <amigadave@amigadave.com>
Date:	Wed May 25 20:53:54 2016 +0200

    Improve const use in FLAC and Ogg tagging

M	src/tags/flac_tag.c
M	src/tags/ogg_tag.c

commit a67b2fa023ce32686d9e57870de44c3986a601b7
Author: David King <amigadave@amigadave.com>
Date:	Mon May 23 17:35:43 2016 +0100

    Refactor and rename ET_Check_If_File_Is_Saved()

    Avoid comparing directly against TRUE or FALSE. Rename to
    et_file_check_saved().

M	src/application_window.c
M	src/browser.c
M	src/file.c
M	src/file.h
M	src/file_list.c

commit 9be88c3aafaae47ce31dc62e76629f74ef5fbdfc
Author: David King <amigadave@amigadave.com>
Date:	Mon May 23 17:31:11 2016 +0100

    Refactor on_picture_add_button_clicked()

    Avoid a crash when unselecting all files and clicking on the add
    images
    button.  Use the GLib filename encoding when setting the current path
    of the add images dialog. Simplify several checks for the
    currently-selected file.

    https://retrace.fedoraproject.org/faf/reports/843689/

M	src/tag_area.c

commit ddd6fa206e15e0ffd59dc3afb3adc3a81cb885b3
Author: David King <amigadave@amigadave.com>
Date:	Sun May 8 11:00:37 2016 +0100

    Explicitly mark the GSettings schema for intltool

    As recommended in the GSettings documentation.

M	po/POTFILES.in

commit 48958f45f3290b23fbfbe28e9b2e205f3f4b0d3f
Author: David King <amigadave@amigadave.com>
Date:	Sun May 8 11:00:19 2016 +0100

    Add gettext-domain to GSettings schema

M	data/org.gnome.EasyTAG.gschema.xml

commit 5182edd12d4286fa341dc29facb4fb817328ad11
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Wed May 4 18:33:11 2016 +0000

    Updated Portuguese translation

M	po/pt.po

commit 3b4766f81173eb3bf3b416295ae4984572d8e06e
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 27 17:22:43 2016 +0200

    Improve MP4 album artist support with newer TagLib

    TagLib 1.10 and above supports the album artist field directly,
    without
    the need to manually retrive the atom. Use this support if building
    against a suitable TagLib version.

M	src/tags/mp4_tag.cc

commit ac666308a91a4cd83855671556322765653ff0f9
Author: David King <amigadave@amigadave.com>
Date:	Wed Apr 27 09:07:03 2016 +0200

    Use et_str_empty() when writing MP4 tag fields

    Simplify the logic for checking if a tag field is empty.

M	src/tags/mp4_tag.cc

commit dfb03abb2c5dd129e67e732139aa121384b6d7cc
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 26 22:06:46 2016 +0100

    Improve MP4 empty field handling

    Do not copy fields which are empty, as this always results in the file
    being marked as requiring saving.

    https://bugzilla.gnome.org/show_bug.cgi?id=765385

M	src/tags/mp4_tag.cc

commit 6aecd7451e3889c5f755736b427a478c93e9f5b2
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 22 15:48:18 2016 +0530

    Fix undefined symbol when id3lib is not available

M	src/easytag.c

commit 9f5c5819f8d6dbf5b8b107064d1f0658114a95a9
Author: Tristan Scott <tristan@yvts.co.uk>
Date:	Fri Mar 25 20:03:24 2016 +0000

    README schema error documentation and examples

    In the event of a schema failure (EasyTAG schema not in cache
    results in
    assert crash otherwise) - so this is which files need to be in the
    system schema cache, and how to add them in to it.

    https://bugzilla.gnome.org/show_bug.cgi?id=764207

M	README

commit f25a76ce6943502436e66551d8b80c8ef682db29
Author: Mónica Canizo <kamitdevica@gmail.com>
Date:	Wed Mar 23 09:07:49 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit bf444c94da12a57928c5d0b480ef50a884a6d998
Author: Mónica Canizo <kamitdevica@gmail.com>
Date:	Tue Mar 22 11:25:34 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit 55ef17463570bccd1c10d3b7fdfabf1e578d340b
Author: Mónica Canizo <kamitdevica@gmail.com>
Date:	Mon Mar 21 16:19:40 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit c3aeb58c98710e86f1b04cd66ee980aae185eb90
Author: Mónica Canizo <kamitdevica@gmail.com>
Date:	Fri Mar 18 09:03:10 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit 9f40d46193d7666a76a8cae0e835e4cedb56e8d8
Author: Mónica Canizo <kamitdevica@gmail.com>
Date:	Thu Mar 17 10:23:46 2016 +0000

    Updated Spanish translation

M	help/es/es.po

commit 3cc462ce2c122d981d9f3eb492de65871aff5b8b
Author: David King <amigadave@amigadave.com>
Date:	Tue Mar 15 15:56:10 2016 +0000

    Fix FLAC build when Ogg support is disabled

    Move the defines for the Vorbis comment field names to be outside the
    ENABLE_OGG checks, and eanble them at all times.

    https://bugs.gentoo.org/show_bug.cgi?id=576490

M	src/tags/vcedit.h

commit c985c83e70bb28f8dfb0b000f0a466a7cca7ebec
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Sun Mar 13 09:20:57 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit 04c7e16f994fdad2c04e630442b9e3f1cc31378f
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Sun Mar 13 09:03:43 2016 +0000

    Added Occitan translation

M	po/LINGUAS
A	po/oc.po

commit 4503eff78c7798fae7dd1f4abe67cda5297f279f
Author: David King <amigadave@amigadave.com>
Date:	Sat Mar 5 22:38:24 2016 +0000

    Fix possible overflow of reads in the file list

    When checking whether to read the file list on startup, use a
    gboolean rather
    than an int.

M	src/browser.c

commit 2437156f61115e1995c1ecc07133acf1d37c66a6
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 2 08:13:41 2016 +0000

    Mention use of C89 comment style in HACKING

M	HACKING

commit fe5e205d9d05bdac737873da14f9f5709b9bcb23
Author: David King <amigadave@amigadave.com>
Date:	Tue Mar 1 16:36:53 2016 +0000

    Fix a bogus check when reading Ogg tags

    Avoid a duplicated check for description tags inside a Vorbis comment
    of an Ogg
    file.

M	src/tags/ogg_tag.c

commit 3dbfd06126c259d163541b2b49d937df3692266d
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 28 22:02:17 2016 +0000

    Open the online help if Yelp is not installed

    If Yelp is not installed, or fails to start, show the online help
    instead.

    https://mail.gnome.org/archives/easytag-list/2016-February/msg00009.html

M	src/application.c

commit 4df33c1f7b719ea59d9a054b009ec2217b261b8b
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 28 21:35:02 2016 +0000

    Document that Yelp is required at runtime

    Warn during configure if yelp is not found in the path.

    https://mail.gnome.org/archives/easytag-list/2016-February/msg00009.html

M	README
M	configure.ac

commit 543b1f071dc82848e8819c68b19d4ed5d2395abc
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 28 08:46:16 2016 +0000

    Avoid another crash in the load filenames dialog

    Make the reload action insensitive when no file is selected.

M	src/load_files_dialog.c

commit 53c9b955aee4aa4f41510e6fe6b78597257fa110
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 26 17:27:05 2016 +0000

    Fix a crash when loading filenames from a file

    Swap the arguments of the callbacks for the reload signals.

    https://bugzilla.redhat.com/show_bug.cgi?id=1312163

M	data/load_files_dialog.ui
M	src/load_files_dialog.c

commit dc471e9ddd4025750bf6b9b30cf4adff81e949bb
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:	Wed Feb 24 10:11:03 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 4a995762ac51971d6699774dff8e4fc1eb811818
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 21 23:18:23 2016 +0000

    Update NEWS for 2.4.2 release

M	NEWS
M	SOURCES
M	configure.ac

commit d081c73f8d72155f6f0cde1b6e06ddf3ebcafba7
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 21 22:43:44 2016 +0000

    Mark files with old Vorbis tag comments as changed

    If a Vorbis comment has a COMMENT field, mark the file as modified,
    so that it
    is converted to a DESCRIPTION field during saving.

M	src/tags/flac_tag.c
M	src/tags/ogg_tag.c

commit eb8dd2121558eda3fb78b675388ad715ad500fc6
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 18 20:44:14 2016 +0000

    Remove setlocale() calls around tag reading

    It is unsafe to call setlocale() in a multi-threaded program (and
    EasyTAG is,
    because GLib creates a worker thread for handling D-Bus
    calls). Additionally,
    it is no longer necessary to change the locale when reading files,
    as all
    locale-sensitive tag reading code has been converted to be insensitive
    to the
    current locale.

M	src/file_list.c

commit 70d69bc61f0ab1cf39f0270f56114efb0ae7ba67
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 18 21:20:42 2016 +0000

    Use g_ascii_strcasecmp() for ID3v2.4 field names

    As ID3v2 field names use ASCII, use the locale-insensitive
    g_ascii_strncasecmp() instead of strncasecmp().

M	src/tags/id3v24_tag.c

commit ff8eaf91dbf17a2a4d662db9a94bc5e10b815a16
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 18 21:19:22 2016 +0000

    Use strncmp() when case is not a factor

    When comparing strings while looking for the multi-field separator
    (always
    " - " in EasyTAG), use strncmp() rather than strcasecmp().

M	src/tags/id3v24_tag.c

commit 030a3dd196e166bd6a061d23033ccc723118bcc1
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 18 20:39:25 2016 +0000

    Avoid locale-sensitive field name reading for Ogg

    Avoid calling strncasecmp() when searching for tag field names
    in Vorbis
    comments while reading Ogg (Vorbis and Opus) files. The same function
    is called
    internally by libvorbis when searching for tags, and it is dependent
    on the
    current locale, so it fails with Turkish and the lower-case 'i' being
    transformed to the dotted upper-case version. As Vorbis comment
    field names are
    only permitted to be ASCII, with some further restrictions, use
    g_ascii_strup()
    to convert them all to upper-case before comparing them.

    As an additional optimization, insert the tag key/value pairs in a
    hash table
    during reading. The avoids the behaviour of searching through all
    the comments
    in the file when loading data for each UI field (as well as a second
    time, when
    populating the list of unsupported fields). instead, only a single
    lookup per
    tag is required.

    https://trac.xiph.org/ticket/2079

M	src/tags/ogg_tag.c

commit 84e99bba9f8f54d347169d5232ed69ca7c159a4f
Author: David King <amigadave@amigadave.com>
Date:	Fri Feb 12 21:21:43 2016 +0000

    Avoid locale-sensitive field name reading for FLAC

    Avoid calling strncasecmp() when searching for tag field names
    in Vorbis
    comments while reading FLAC files. The same function is called
    internally by
    libFLAC when searching for tags, and it is dependent on the current
    locale, so
    it fails with Turkish and the lower-case 'i' being transformed to
    the dotted
    upper-case version. As Vorbis comment field names are only permitted
    to be
    ASCII, with some further restrictions, use g_ascii_strup() to
    convert them
    all to upper-case before comparing them.

    As an additional optimization, insert the tag key/value pairs in a
    hash table
    during reading. This avoids the behaviour of searching through all
    the comments
    in the file when loading data for each UI field (as well as a second
    time, when
    populating the list of unsupported fields). Instead, only a single
    lookup per
    tag is required.

    https://sourceforge.net/p/flac/bugs/417/

M	src/tags/flac_tag.c

commit f3d1d976b798a0ef9d2a9356f4ca702ee6bf0aad
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 11 22:33:32 2016 +0000

    Make the Vorbis comment field names into defines

    Unify the Vorbis comment field names into a set of defines, and move
    them to
    vcedit.h.

M	src/tags/flac_tag.c
M	src/tags/ogg_tag.c
M	src/tags/vcedit.h

commit 3bd9455ed0aa194554d4983bc46798b8b0075649
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 11 21:54:21 2016 +0000

    Remove et_ogg_write_tag()

    Use vorbis_comment_add_tag() instead.

M	src/tags/ogg_tag.c

commit 224f3c84627d7f3727e8b929a2cfc6f92eae7421
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 11 16:09:14 2016 +0000

    Simplify FLAC tag field setting

    Use FLAC__metadata_object_vorbiscomment_entry_from_name_value_pair()
    to avoid
    duplicating two strings per tag field written. Simplify handling
    of unsupported
    tags with a new vc_block_append_other_tag() function.

M	src/tags/flac_tag.c

commit 0c0f46b9232b4e02ece2ac1872eeb10609e150ee
Author: David King <amigadave@amigadave.com>
Date:	Thu Feb 18 16:48:51 2016 +0000

    Fix a crash when renaming directories

    Pass a gchar *, not a gchar, to g_strconcat().

    https://retrace.fedoraproject.org/faf/problems/bthash/?bth=5c2ad6c23b746b3d63a4ccc895e6f228e24293e5&bth=ce2762c57443a7c42472884bd3c9fcbef3755982
    https://retrace.fedoraproject.org/faf/problems/bthash/?bth=e5ff843b726a5ae24324a402c656c3da412adf05

M	src/browser.c

commit 30e2c672106ec5177f421cc577214bc562610517
Author: David King <amigadave@amigadave.com>
Date:	Sun Feb 14 09:40:07 2016 +0000

    Only install the metainfo file if requested

    Only install the AppData metainfo file for the Nautilus extension
    if the
    extension is enabled.

    https://bugzilla.gnome.org/show_bug.cgi?id=761996

M	Makefile.am

commit ce3b73dcbf93e2476db101f9a9403a3a302bdbb4
Author: David King <amigadave@amigadave.com>
Date:	Tue Feb 9 21:06:36 2016 +0000

    Update British English translation

M	po/en_GB.po

commit 338f3da0a9fcdcc940aa53431aafc0edc47a680a
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 28 22:45:23 2016 +0100

    Port Musepack header reading to use GFile

M	src/tags/libapetag/info_mpc.c
M	src/tags/libapetag/info_mpc.h
M	src/tags/musepack_header.c

commit 54ebb531c6e91ae745e0526ef9a61dacb46eb132
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 28 21:30:17 2016 +0100

    Port Monkey's Audio header reading to GFile

M	src/tags/libapetag/info_mac.c
M	src/tags/libapetag/info_mac.h
M	src/tags/monkeyaudio_header.c

commit a733b5d9ecbe90a6b3c10ae1fbfc491456ba2a26
Author: David King <amigadave@amigadave.com>
Date:	Tue Jan 26 11:50:21 2016 +0000

    Use _chsize() on Windows

    Avoid the internal ftruncate() wrapper, which was only used in
    a single
    location.

M	configure.ac
M	src/tags/libapetag/apetaglib.c
M	src/win32/win32dep.c
M	src/win32/win32dep.h

commit 138993f16795097c5bcaffd23599319dc8fc8212
Author: David King <amigadave@amigadave.com>
